"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.RootRouteNames = void 0;
var _Dashboard = _interopRequireDefault(require("../pages/Dashboard"));
var _Indicators = _interopRequireDefault(require("../pages/Indicators"));
var _bottomTabs = require("@react-navigation/bottom-tabs");
var _native = require("@react-navigation/native");
var _themed = require("@rneui/themed");
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Tab = (0, _bottomTabs.createBottomTabNavigator)();
var RootRouteNames = exports.RootRouteNames = /*#__PURE__*/function (RootRouteNames) {
  RootRouteNames["IndicatorsStack"] = "IndicatorsStack";
  RootRouteNames["DashboardStack"] = "DashboardStack";
  return RootRouteNames;
}(RootRouteNames || {});
const RouterNavigator = () => {
  const navTheme = _native.DefaultTheme;
  navTheme.colors.background = "rgb(255, 255, 255)";
  return /*#__PURE__*/_react.default.createElement(_native.NavigationContainer, {
    theme: navTheme
  }, /*#__PURE__*/_react.default.createElement(Tab.Navigator, {
    screenOptions: props => ({
      headerShown: false,
      tabBarStyle: {
        backgroundColor: "rgb(11, 67, 96)",
        padding: 5,
        height: 50
      },
      tabBarLabelStyle: {
        color: "white",
        paddingBottom: 4
      },
      tabBarIcon: iconProps => {
        let iconName = "home";
        if (props.route.name === RootRouteNames.IndicatorsStack) {
          iconName = "bar-chart";
        }
        if (props.route.name === RootRouteNames.DashboardStack) {
          iconName = "dashboard";
        }
        return /*#__PURE__*/_react.default.createElement(_themed.Icon, {
          name: iconName,
          size: iconProps.size,
          color: "white",
          type: "material"
        });
      }
    })
  }, /*#__PURE__*/_react.default.createElement(Tab.Screen, {
    name: RootRouteNames.DashboardStack,
    component: _Dashboard.default,
    options: {
      tabBarLabel: "Dashboard"
    }
  }), /*#__PURE__*/_react.default.createElement(Tab.Screen, {
    name: RootRouteNames.IndicatorsStack,
    component: _Indicators.default,
    options: {
      tabBarLabel: "Indicadores"
    }
  })));
};
var _default = exports.default = RouterNavigator;