"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IndicatorMenuService = void 0;
var _result = require("../../../../shared/model/result");
class IndicatorMenuService {
  constructor(_repo) {
    this._repo = _repo;
  }
  async getIndicatorMenu() {
    try {
      const result = new _result.Result(await Promise.all([this._repo.getPastureIndicatorMenu(), this._repo.getLockdownIndicatorMenu(), this._repo.getGeneralIndicatorMenu()]), null);
      return result;
    } catch (error) {
      if (error instanceof Error) {
        return new _result.Result(null, new Error(error.message));
      }
      return new _result.Result(null, new Error("Error on getting menu items"));
    }
  }
}
exports.IndicatorMenuService = IndicatorMenuService;