"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _nativewind = require("nativewind");
var _CardButton = _interopRequireDefault(require("../../../shared/components/CardButton/CardButton"));
var _native = require("@react-navigation/native");
var _themed = require("@rneui/themed");
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _routes = require("../routes");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const IndicatorSectionType = ({
  cardItem,
  name
}) => {
  const navigation = (0, _native.useNavigation)();
  const {
    width
  } = (0, _reactNative.useWindowDimensions)();
  return /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "w-full p-4",
    component: _reactNative.View
  }, /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "flex flex-row content-center items-center gap-2",
    component: _reactNative.View
  }, /*#__PURE__*/_react.default.createElement(_themed.Icon, {
    name: "grass",
    color: "rgb(19, 161, 184)"
  }), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "text-lg text-black",
    component: _reactNative.Text
  }, name)), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "w-full mt-3 flex flex-wrap items-stretch flex-row",
    component: _reactNative.View
  }, cardItem.map(item => /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    key: `${item.iconName}-${item.name}-card`,
    className: "mb-2 mr-2 h-[100] flex flex-col justify-between",
    style: {
      width: cardItem.length === 1 ? width - 38 : width / 2 - 24
    },
    onPress: () => navigation.navigate(_routes.IndicatorRouteNames.FarmMetaPage),
    component: _CardButton.default
  }, /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "flex items-start",
    component: _reactNative.View
  }, /*#__PURE__*/_react.default.createElement(_themed.Icon, {
    name: item.iconName,
    color: "#155873",
    size: 24
  })), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "flex mt-2 text-black text-sm",
    component: _reactNative.Text
  }, item.name)))));
};
var _default = exports.default = IndicatorSectionType;
_nativewind.NativeWindStyleSheet.create({
  styles: {
    "mb-2": {
      "marginBottom": 8
    },
    "mr-2": {
      "marginRight": 8
    },
    "mt-2": {
      "marginTop": 8
    },
    "mt-3": {
      "marginTop": 12
    },
    "flex": {
      "display": "flex"
    },
    "h-[100]": {
      "height": 100
    },
    "w-full": {
      "width": "100%"
    },
    "flex-row": {
      "flexDirection": "row"
    },
    "flex-col": {
      "flexDirection": "column"
    },
    "flex-wrap": {
      "flexWrap": "wrap"
    },
    "content-center": {
      "alignContent": "center"
    },
    "items-start": {
      "alignItems": "flex-start"
    },
    "items-center": {
      "alignItems": "center"
    },
    "items-stretch": {
      "alignItems": "stretch"
    },
    "justify-between": {
      "justifyContent": "space-between"
    },
    "p-4": {
      "paddingTop": 16,
      "paddingRight": 16,
      "paddingBottom": 16,
      "paddingLeft": 16
    },
    "text-black": {
      "color": "#000"
    },
    "gap-2": {
      "marginLeft": -8,
      "marginTop": -8
    },
    "gap-2.children@0": {
      "marginLeft": 8,
      "marginTop": 8
    },
    "text-lg": {
      "fontSize": 18,
      "lineHeight": 28
    },
    "text-sm": {
      "fontSize": 14,
      "lineHeight": 20
    }
  },
  atRules: {
    "gap-2.children": [[["selector", "(> *)"]]]
  },
  childClasses: {
    "gap-2": ["gap-2.children"]
  }
});