"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _nativewind = require("nativewind");
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _IndicatorSectionType = _interopRequireDefault(require("./IndicatorSectionType"));
var _useIndicatorsPage = require("./hooks/useIndicatorsPage");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const IndicatorsPage = () => {
  const {
    menuSection
  } = (0, _useIndicatorsPage.useIndicatorsPage)();
  if (menuSection.result) {
    return /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, null, menuSection.result.map(section => /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
      className: "mb-1",
      key: section.name,
      component: _reactNative.View
    }, /*#__PURE__*/_react.default.createElement(_IndicatorSectionType.default, {
      cardItem: section.items,
      name: section.name
    }))));
  }
  if (menuSection.errorMessage) {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, menuSection.errorMessage?.message));
  }
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Loading"));
};
var _default = exports.default = IndicatorsPage;
_nativewind.NativeWindStyleSheet.create({
  styles: {
    "mb-1": {
      "marginBottom": 4
    }
  }
});