"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useIndicatorsPage = void 0;
var _useIndicatorMenuService = require("../../data/hooks/useIndicatorMenuService");
var _useToastErrorMessage = require("../../../../shared/hooks/useToastErrorMessage");
var _result = require("../../../../shared/model/result");
var _react = require("react");
const useIndicatorsPage = () => {
  const indicatorMenuService = (0, _useIndicatorMenuService.useIndicatorMenuService)();
  const [menuSection, setMenuSection] = (0, _react.useState)(new _result.Result(null, null));
  const showToastError = (0, _useToastErrorMessage.useToastErrorMessage)();
  const getIndicatorMenuSections = (0, _react.useCallback)(async () => {
    const items = await indicatorMenuService.getIndicatorMenu();
    setMenuSection(items);
    if (items.errorMessage) {
      showToastError(items.errorMessage.message);
    }
  }, [showToastError, indicatorMenuService]);
  (0, _react.useEffect)(() => {
    getIndicatorMenuSections();
  }, [getIndicatorMenuSections]);
  return {
    menuSection
  };
};
exports.useIndicatorsPage = useIndicatorsPage;